AgentStatProperties (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.client.prop
Interface AgentStatProperties

All Superinterfaces:
  com.sencha.gxt.data.shared.PropertyAccess<Uri>

    public interface AgentStatProperties

extends com.sencha.gxt.data.shared.PropertyAccess<Uri>

Method Summary
`com.sencha.gxt.core.client.ValueProvider<AgentStat,String>` | `canceled()`
`com.sencha.gxt.core.client.ValueProvider<AgentStat,String>` | `endpoint()`
`com.sencha.gxt.core.client.ValueProvider<AgentStat,String>` | `failed()`
`com.sencha.gxt.data.shared.ModelKeyProvider<AgentStat>` | `key()`
`com.sencha.gxt.data.shared.LabelProvider<AgentStat>` | `nameLabel()`
`com.sencha.gxt.core.client.ValueProvider<AgentStat,String>` | `ongoing()`
`com.sencha.gxt.core.client.ValueProvider<AgentStat,String>` | `succesful()`
`com.sencha.gxt.core.client.ValueProvider<AgentStat,String>` | `total()`

Method Detail

### key

    @Editor.Path(value="id")
    com.sencha.gxt.data.shared.ModelKeyProvider<AgentStat> key()

### nameLabel

    @Editor.Path(value="endpoint")
    com.sencha.gxt.data.shared.LabelProvider<AgentStat> nameLabel()

### endpoint

    com.sencha.gxt.core.client.ValueProvider<AgentStat,String> endpoint()

### ongoing

    com.sencha.gxt.core.client.ValueProvider<AgentStat,String> ongoing()

### failed

    com.sencha.gxt.core.client.ValueProvider<AgentStat,String> failed()

### succesful

    com.sencha.gxt.core.client.ValueProvider<AgentStat,String> succesful()

### canceled

    com.sencha.gxt.core.client.ValueProvider<AgentStat,String> canceled()

### total

    com.sencha.gxt.core.client.ValueProvider<AgentStat,String> total()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.